PHP, which stands for PHP: Hypertext Preprocessor, is one of the most famous dynamic programming languages out there. Any website or web-based app written in PHP will run on a given web server provided that a PHP module is activated, which makes the language really universal and it is not surprising that there are a couple of million servers that support it and 100s of millions of PHP websites hosted on them. PHP is preferred over HTML owing to the fact that it permits you to develop a dynamic site with lots of different options. A PHP-based community web portal, for instance, will serve unique web content to each user regardless of the fact that the URL won’t change. By contrast, HTML-based websites are static and the content on the pages can be modified only manually. Like any other piece of software, PHP has several versions and the one that was used whilst setting up a certain website must be configured on the server in order for the site to work properly.

PHP 4 and PHP 5 Support in Cloud Web Hosting

With our Linux cloud web hosting packages, you will be able to pick the version of PHP that will be active for your shared hosting account, as we offer support for several versions. With just one click of the mouse, you’ll be able to switch between PHP 4, 5.2, 5.3, 5.4 and 5.5 and each time a new version is introduced in the future, we’ll include it in the Hepsia hosting Control Panel without removing the previous ones. Thus, you will be able to host all the websites that you have developed through the years. In stark contrast with many other hosting companies, we won’t compel you to update such sites, as a script may be out of date, but this doesn’t mean that it’s insecure as you may have implemented modifications to its source code to repair security gaps. For your convenience, you’ll even be able to select a different version of PHP for each individual website that you host in your hosting account.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

If you’ve got a site created with an older version of PHP and you have contributed time and energy to developing it, filling safety holes and appending page content, you’ll need a web hosting service that can support it, as almost all hosting suppliers these days offer only the latest PHP version and give up the older ones. We, however, have decided to allow you to select the exact version that your very own sites need. Our Linux semi-dedicated packages support PHP 4 and multiple versions of PHP 5, so you will be able to run both older and newer scripts without losing any manual modifications or frittering away time and effort struggling to make your websites compatible with the web hosting environment. You can change the version via the Hepsia hosting Control Panel and such a change will affect the entire semi-dedicated server account, but you will also have the ability to pick a different version of PHP for each website that you host in your account using an .htaccess config file.